| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Branch Office

Branch Office Definitions and Methods. More...

## Classes
struct | unsp__BranchOfficeAttributes
| Branch Office Attributes. More...
struct | unsp__RepresentativeEndpoint
| Branch Office Representative Endpoint Data. More...
class | unsp__DidDn
| DID DN. More...
class | unsp__ArrayOfDidDn
| Array of DID DNs. More...
class | unsp__DIDPool
| DID Pool. More...
class | unsp__AddRemoveDidDnToPool
| Add - Remove DID DN to Pool. More...
class | unsp__BranchOffice
| Branch Office. More...
class | unsp__ArrayOfBranchOffice
| Array of Branch Offices. More...
class | unsp__CreateBranchOfficeRequest
| Create Branch Office request. More...
struct | unsp__CreateBranchOfficeDIDListEntryDataResult
| Create Branch Office DID List Entry Data result. More...
struct | unsp__CreateBranchOfficeDIDListEntriesResult
| Create Branch Office DID List Entries result. More...
struct | unsp__CreateBranchOfficeResult
| Create Branch Office result. More...
class | unsp__ModifyBranchOfficeRequest
| Modify Branch Office request. More...
struct | unsp__ModifyBranchOfficeDIDListEntryDataResult
| Modify Branch Office DID List Entry Data result. More...
struct | unsp__ModifyBranchOfficeDIDListEntriesResult
| Modify Branch Office DID List Entries result. More...
struct | unsp__ModifyBranchOfficeResult
| Modify Branch Office result. More...
class | unsp__RemoveBranchOfficeRequest
| Remove Branch Office request. More...
struct | unsp__RemoveBranchOfficeResult
| Remove Branch Office result. More...
class | unsp__QueryBranchOfficeRequest
| Query Branch Office request. More...
struct | unsp__QueryBranchOfficeResult
| Query Branch Office result. More...
struct | unsp__OsbSyncDataKey
| OSB Synchronization Data Key. More...
struct | unsp__OsbSyncData
| OSB Synchronization Data. More...
struct | unsp__OsbSyncDataList
| OSB Synchronization Data. More...
struct | unsp__QueryOsbSyncDataEntry
| OSB Synchronization Data Entry. More...
struct | unsp__QueryOsbSyncDataList
| Query OSB Synchronization Data List. More...
struct | unsp__GetOsbSyncDataRequest
| Get OSB Synchronization Data request. More...
struct | unsp__GetOsbSyncDataResult
| Get OSB Synchronization Data result. More...
struct | unsp__GetMediaServerListRequest
| Get Media Server List request. More...
struct | unsp__MediaServerListData
| Media Server List Data. More...
struct | unsp__MediaServerList
| Media Server List. More...
struct | unsp__GetMediaServerListResult
| Get Media Server List result. More...
struct | unsp__AssignMediaServerRequest
| Assign Media Server request. More...
struct | unsp__AssignMediaServerResult
| Assign Media Server result. More...
struct | unsp__UnassignMediaServerRequest
| Unassign Media Server request. More...
struct | unsp__UnassignMediaServerResult
| Unassign Media Server result. More...

## Enumerations
enum | unsp__DIDPoolUpdate { DIDPoolUpdtDoNotUpdateDid, DIDPoolUpdtAddDidDN, DIDPoolUpdtRemoveDidDN }
| Specifies the operation to be performed on the DID pool. More...

## Functions
int | unsp__createBranchOffice (unsp__CreateBranchOfficeRequest CreateBranchOfficeRequest, struct unsp__CreateBranchOfficeResult *CreateBranchOfficeResult)
| Creates a Branch Office. More...
int | unsp__modifyBranchOffice (unsp__ModifyBranchOfficeRequest ModifyBranchOfficeRequest, struct unsp__ModifyBranchOfficeResult *ModifyBranchOfficeResult)
| Modifies a Branch Office. More...
int | unsp__queryBranchOffice (unsp__QueryBranchOfficeRequest QueryBranchOfficeRequest, struct unsp__QueryBranchOfficeResult *QueryBranchOfficeResult)
| Retrieves the list of branch offices that match the specified filtering criteria. More...
int | unsp__removeBranchOffice (unsp__RemoveBranchOfficeRequest RemoveBranchOfficeRequest, struct unsp__RemoveBranchOfficeResult *RemoveBranchOfficeResult)
| Removes the specified Branch Office. More...
int | unsp__GetOsbSyncData (struct unsp__GetOsbSyncDataRequest GetOsbSyncDataRequest, struct unsp__GetOsbSyncDataResult *GetOsbSyncDataResult)
| This method retrieves the ML Hunt Group Pilot DNs and Emergency Subnets that belong to the specified Openscape Branch Office and have been modified since a given datetime. More...
int | unsp__GetMediaServerAssignmentList (struct unsp__GetMediaServerListRequest GetMediaServerListRequest, struct unsp__GetMediaServerListResult *GetMediaServerListResult)
| This method returns a list of media server associations for a specified branch office. More...
int | unsp__AssignMediaServerToBranchOffice (struct unsp__AssignMediaServerRequest AssignMediaServerRequest, struct unsp__AssignMediaServerResult *AssignMediaServerResult)
| This method is used to assign a media server to a specific branch office. More...
int | unsp__UnassignMediaServerFromBranchOffice (struct unsp__UnassignMediaServerRequest UnassignMediaServerRequest, struct unsp__UnassignMediaServerResult *UnassignMediaServerResult)
| This method is used to unassign a media server from a specific branch office. More...

## Detailed Description

Branch Office Definitions and Methods.

A branch office is an entity of related subscribers and endpoints and is a sub entity of a business group (BG). Subscribers and endpoints belonging to a BG may optionally belong to a branch office. It is necessary to provide the name of the representative endpoint of the branch office when creating or updating a subscriber or endpoint in order to assign the subscriber/endpoint to the branch office. The maximum number of branch offices supported on the system is 3000.

Moreover, this section includes the methods to assign multiple Media Servers to a Branch Office.

## Enumeration Type Documentation

## ◆ unsp__DIDPoolUpdate

enum unsp__DIDPoolUpdate

Specifies the operation to be performed on the DID pool.

Enumerator
DIDPoolUpdtDoNotUpdateDid | Do not Update.
DIDPoolUpdtAddDidDN | Add.
DIDPoolUpdtRemoveDidDN | Remove.

## Function Documentation

## ◆ unsp__AssignMediaServerToBranchOffice()

unsp__AssignMediaServerToBranchOffice | ( | struct unsp__AssignMediaServerRequest | AssignMediaServerRequest,
|  | struct unsp__AssignMediaServerResult * | AssignMediaServerResult
| ) |  |

This method is used to assign a media server to a specific branch office.

Parameters

  AssignMediaServerRequest | API request
  AssignMediaServerResult | API result MP2 command: AMS [Attributes]

## ◆ unsp__createBranchOffice()

unsp__createBranchOffice | ( | unsp__CreateBranchOfficeRequest | CreateBranchOfficeRequest,
|  | struct unsp__CreateBranchOfficeResult * | CreateBranchOfficeResult
| ) |  |

Creates a Branch Office.

Parameters

  CreateBranchOfficeRequest | API request
  CreateBranchOfficeResult | API result MP2 command: CBO [Attributes]

## ◆ unsp__GetMediaServerAssignmentList()

unsp__GetMediaServerAssignmentList | ( | struct unsp__GetMediaServerListRequest | GetMediaServerListRequest,
|  | struct unsp__GetMediaServerListResult * | GetMediaServerListResult
| ) |  |

This method returns a list of media server associations for a specified branch office.

If no filters are provided, the result is a list of unassigned media servers.

Parameters

  GetMediaServerListRequest | API request
  GetMediaServerListResult | API result

## ◆ unsp__GetOsbSyncData()

unsp__GetOsbSyncData | ( | struct unsp__GetOsbSyncDataRequest | GetOsbSyncDataRequest,
|  | struct unsp__GetOsbSyncDataResult * | GetOsbSyncDataResult
| ) |  |

This method retrieves the ML Hunt Group Pilot DNs and Emergency Subnets that belong to the specified Openscape Branch Office and have been modified since a given datetime.

Parameters

  GetOsbSyncDataRequest | API request
  GetOsbSyncDataResult | API result

## ◆ unsp__modifyBranchOffice()

unsp__modifyBranchOffice | ( | unsp__ModifyBranchOfficeRequest | ModifyBranchOfficeRequest,
|  | struct unsp__ModifyBranchOfficeResult * | ModifyBranchOfficeResult
| ) |  |

Modifies a Branch Office.

Parameters

  ModifyBranchOfficeRequest | API request
  ModifyBranchOfficeResult | API result MP2 command: MBO [Attributes]

## ◆ unsp__queryBranchOffice()

unsp__queryBranchOffice | ( | unsp__QueryBranchOfficeRequest | QueryBranchOfficeRequest,
|  | struct unsp__QueryBranchOfficeResult * | QueryBranchOfficeResult
| ) |  |

Retrieves the list of branch offices that match the specified filtering criteria.

Parameters

  QueryBranchOfficeRequest | API request
  QueryBranchOfficeResult | API result

## ◆ unsp__removeBranchOffice()

unsp__removeBranchOffice | ( | unsp__RemoveBranchOfficeRequest | RemoveBranchOfficeRequest,
|  | struct unsp__RemoveBranchOfficeResult * | RemoveBranchOfficeResult
| ) |  |

Removes the specified Branch Office.

Parameters

  RemoveBranchOfficeRequest | API request
  RemoveBranchOfficeResult | API result MP2 command: RBO [Attributes]

## ◆ unsp__UnassignMediaServerFromBranchOffice()

unsp__UnassignMediaServerFromBranchOffice | ( | struct unsp__UnassignMediaServerRequest | UnassignMediaServerRequest,
|  | struct unsp__UnassignMediaServerResult * | UnassignMediaServerResult
| ) |  |

This method is used to unassign a media server from a specific branch office.

Parameters

  UnassignMediaServerRequest | API request
  UnassignMediaServerResult | API result